> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment rails for a currency



## OpenAPI

````yaml /api-reference/openapi.json get /v1/onramp/rails
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/onramp/rails:
    get:
      tags:
        - On-ramp
      summary: List payment rails for a currency
      operationId: onrampRails
      parameters:
        - name: currency
          in: query
          required: true
          schema:
            type: string
            enum:
              - NGN
              - GHS
      responses:
        '200':
          description: Rails and what each requires
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        rail:
                          type: string
                          enum:
                            - bank_transfer
                            - mobile_money
                        sourceCurrencyCode:
                          type: string
                        requires:
                          type: object
                          description: Fields to send when creating an order on this rail
                          additionalProperties: true
        '400':
          description: Unsupported currency
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.